" Allgemeine Einstellungen
set number
set cursorline
set shortmess+=I
set nowrap
set nocompatible
set ruler
set wildmenu
set noshowcmd
set splitright
set splitbelow
set hidden
set signcolumn=yes

" Rechtsschreibprüfung
set nospell
set spelllang=de,en

" Optionen für ^n-Vervollständigung
set complete=.,w,b,u,t,i

" bessere Suche
set hlsearch
set incsearch
set ignorecase
set smartcase

" Sonderzeichen anzeigen
set list
set listchars=tab:>\ ,trail:-,extends:>,precedes:<,nbsp:+
set matchpairs+=<:>

" automatisches Einlesen geänderter Dateien
set autoread

" Suche rekursiv
set path+=**

" Tabs
set noexpandtab
set tabstop=4
set shiftwidth=4
set softtabstop=0

" Einrückungen
set smartindent
set autoindent
set cindent

" Faltungen
set foldlevel=1000
set foldcolumn=0

" Autovervollständigung
set completeopt=longest,menuone,noselect,popup

" externe Programme
set makeprg=gmake
set autowrite

" Guifont
set guifont=JetBrains\ Mono\ Semibold:h12

" provider
let g:python3_host_prog='/usr/local/bin/python'
let g:loaded_node_provider=0
let g:loaded_ruby_provider=0
let g:loaded_perl_provider=0

" Swap files und UnDo
set noswapfile
set undofile
set undolevels=10000
set undoreload=10000

" Clipboard
set clipboard=unnamedplus

" weitere Einstellungen
syntax enable
filetype plugin indent on

